com.moxa.mxnportapi

## Class MxNPort.FlowCtrl

- java.lang.Object
- - com.moxa.mxnportapi.MxNPort.FlowCtrl

- Enclosing interface:
    MxNPort

      public static class MxNPort.FlowCtrl
      extends java.lang.Object

  This class represents serial flow control settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `DtrDsr` Available ORed constants `DTR_FLOW_ENABLE`, `DSR_FLOW_ENABLE`, `DTRDSR_FLOW_ENABLE`.
    `int` | `RtsCts` Available ORed constants `RTS_FLOW_ENABLE`, `CTS_FLOW_ENABLE`, `RTSCTS_FLOW_ENABLE`.
    `int` | `XonXoff` Available ORed constants `XON_FLOW_ENABLE`, `XOFF_FLOW_ENABLE`, `XONXOFF_FLOW_ENABLE`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowCtrl()` Constructor of FlowCtrl, initial the serial flow control settings by default values.
    `FlowCtrl(int RtsCts, int XonXoff, int DtrDsr)` Constructor of FlowCtrl, initial the serial flow control settings by input values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DtrDsr

          public int DtrDsr

      Available ORed constants `DTR_FLOW_ENABLE`, `DSR_FLOW_ENABLE`, `DTRDSR_FLOW_ENABLE`.
      If you want to disable this flow control, you can set it to zero.
      The default value is disabled(zero).

    - #### RtsCts

          public int RtsCts

      Available ORed constants `RTS_FLOW_ENABLE`, `CTS_FLOW_ENABLE`, `RTSCTS_FLOW_ENABLE`.
      If you want to disable this flow control, you can set it to zero.
      The default value is disabled(zero).

    - #### XonXoff

          public int XonXoff

      Available ORed constants `XON_FLOW_ENABLE`, `XOFF_FLOW_ENABLE`, `XONXOFF_FLOW_ENABLE`.
      If you want to disable this flow control, you can set it to zero.
      The default value is disabled(zero).

  - ### Constructor Detail

    - #### FlowCtrl

          public FlowCtrl()

      Constructor of FlowCtrl, initial the serial flow control settings by default values.
      Default values:

      RtsCts | XonXoff | DtrDsr
      0 | 0 | 0

    - #### FlowCtrl

          public FlowCtrl(int RtsCts,
                          int XonXoff,
                          int DtrDsr)

      Constructor of FlowCtrl, initial the serial flow control settings by input values.
      Parameters:
        `RtsCts` - The RTS/CTS hardware flow control.
        `XonXoff` - The XON/XOFF software flow control.
        `DtrDsr` - The DTR/DSR hardware flow control.